function buscarEmpresas(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formEmpresas.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busEmpresas/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblEmpresas");
      jsonJS.empresas.forEach(function(i){
        addRowEmpresas(i.emp_cod, i.emp_nom);
      });

      $("#tblEmpresas tbody tr").dblclick(function() {
        selecEmpresas(a, $(this));
      });

      $("#tblEmpresas tbody #btnSelecEmpresas").click(function() {
        selecEmpresas(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowEmpresas(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecEmpresas'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblEmpresas tbody").append(markup);
}

function selecEmpresas(a, tr) {
  if (inputEmpresas == "txtCod") {
    document.thisform.txtCod.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtCod").trigger("change");
    $("form[name='thisform'] #txtCod").trigger("blur");
  } else {
    $("#"+inputEmpresas).val(tr.find("td:eq(0)").text());
    $("#"+inputEmpresas+"Nom").val(tr.find("td:eq(1)").text());
  }

  $("#pills-"+a+"-tab").click();
  $('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblEmpresas");
}